CTestPlugin Class Reference

Class to test plugin handling. More...

`#include <mia/core/testplugin.hh>`

Inheritance diagram for CTestPlugin:
[legend]
Collaboration diagram for CTestPlugin:
[legend]

## Public Member Functions

| CTestPlugin (const char *name)
| Construct the test plugin with the given name.
Public Member Functions inherited from TPlugin< test_plugin_data, test_plugin_type >
virtual void | get_help (std::ostream &os) const
const std::string | get_long_name () const
| TPlugin (const char *name)
Public Member Functions inherited from CPluginBase
void | add_dependend_handlers (HandlerHelpMap &handler_map)
void | add_property (const char *property)
void | append_interface (CPluginBase *plugin)
| CPluginBase (const char *name)
PPluginModule | get_module () const
unsigned | get_priority () const
bool | has_property (const char *property) const
CPluginBase * | next_interface ()
void | set_module (const PPluginModule &module)
void | set_priority (unsigned p)
virtual | ~CPluginBase ()
Public Member Functions inherited from CParamTranslator
void | add_parameter (const std::string &name, CParameter *param)
void | check_parameters ()
| CParamTranslator (const char *name)
virtual void | do_get_help_xml (CXMLElement &root) const
const std::string | get_descr () const
void | get_help (std::ostream &os) const
void | get_help_xml (CXMLElement &root) const
const char * | get_name () const
void | get_short_help (std::ostream &os) const
void | set_parameters (const CParsedOptions &options)
virtual | ~CParamTranslator ()

## Static Public Member Functions

::boost::filesystem::path | search_path ()
Static Public Member Functions inherited from TPlugin< test_plugin_data, test_plugin_type >
static const char * | get_data_path_part ()
static const char * | get_type_path_part ()

## Additional Inherited Members

Public Types inherited from TPlugin< test_plugin_data, test_plugin_type >
typedef test_plugin_data | PlugData
| Typedef for the data type descriptor handled by this plug-in.
typedef test_plugin_type | PlugType
| Typedef for the plugin type descriptor handled by this plug-in.
Protected Member Functions inherited from CParamTranslator
CParamList & | get_parameters ()

## Detailed Description

Class to test plugin handling.

Definition at line 43 of file testplugin.hh.

## Constructor & Destructor Documentation

## CTestPlugin()

CTestPlugin::CTestPlugin | ( | const char * | name | ) |

Construct the test plugin with the given name.

## Member Function Documentation

## search_path()

::boost::filesystem::path CTestPlugin::search_path | ( |  | ) |

static

Returns
  the plugin search path for testing

The documentation for this class was generated from the following file:

- testplugin.hh